Last Comment Bug 766304 - ScopedGfxFeatureReporter uses preference service off the main thread
: ScopedGfxFeatureReporter uses preference service off the main thread
Status: RESOLVED FIXED
[advisory-tracking+]
: sec-moderate
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: unspecified
: ARM Android
: -- normal (vote)
: mozilla16
Assigned To: Brad Lassey [:blassey] (use needinfo?)
:
Mentors:
: 737413 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 14:15 PDT by Brad Lassey [:blassey] (use needinfo?)
Modified: 2016-01-06 14:19 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed
unaffected
.N+
14+


Attachments
patch (4.20 KB, patch)
2012-06-19 14:15 PDT, Brad Lassey [:blassey] (use needinfo?)
joe: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Brad Lassey [:blassey] (use needinfo?) 2012-06-19 14:15:10 PDT
Created attachment 634585 [details] [diff] [review]
patch

seeing this in the log:
I/Gecko   (  890): ###!!! ASSERTION: Using observer service off the main thread!: 'Error', file /home/blassey/src/mozilla-central/xpcom/ds/nsObserverService.cpp, line 95


not seeing it with this patch
Comment 1 Brad Lassey [:blassey] (use needinfo?) 2012-06-19 16:51:29 PDT
Comment on attachment 634585 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): 
User impact if declined: 
Testing completed (on m-c, etc.): 
Risk to taking this patch (and alternatives if risky): 
String or UUID changes made by this patch:
Comment 2 Brad Lassey [:blassey] (use needinfo?) 2012-06-19 17:22:40 PDT
landed on inbound https://hg.mozilla.org/integration/mozilla-inbound/rev/7bcd7c51ce46 and a follow up to fix windows https://hg.mozilla.org/integration/mozilla-inbound/rev/77804de74060
Comment 4 Alex Keybl [:akeybl] 2012-06-20 12:49:56 PDT
jst believes this could be exploitable. Approving for Aurora 15 and Beta 14 (tip only, not the release branch).
Comment 5 Alex Keybl [:akeybl] 2012-06-27 12:15:40 PDT
Sending over to you, Brad, since you requested the approval.
Comment 7 Milan Sreckovic [:milan] 2016-01-06 14:19:38 PST
*** Bug 737413 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.